<?php
define('FRAMEWORKPATH', BASEPATH . '/vendor/4lt/novaconium');

require_once(BASEPATH . '/vendor/autoload.php');

//Check if config file exists
if (file_exists(BASEPATH . '/App/config.php')) {
    require_once(BASEPATH . '/App/config.php');
} else {
    require_once(FRAMEWORKPATH . '/defaults/App/config.php');
}

// Global Functions
require_once(FRAMEWORKPATH . '/src/functions.php');

// Creates the view() function using twig
require_once(FRAMEWORKPATH . '/src/twig.php');

// Messages
require_once(FRAMEWORKPATH . '/src/MessageHandler.php');
$messages = new MessageHandler;

// Start a Session
require_once(FRAMEWORKPATH . '/src/Session.php');
$session = new Session();

// Load Database Class
if (!empty($config['database']['host'])) {
    require_once(FRAMEWORKPATH . '/src/Database.php');
    $db = new Database($config['database']);
}

// Sanatize POST Data
if (!empty($_POST)) {
    require_once(FRAMEWORKPATH . '/src/Post.php');
    $post = new POST($_POST);
}

// Start a Redirect
require_once(FRAMEWORKPATH . '/src/Redirect.php');
$redirect = new Redirect();

// Load a controller
require_once(FRAMEWORKPATH . '/src/Router.php');
$router = new Router();
//$router->debug();
require_once($router->controllerPath);

makeitso();
