<?php

//Twig
function view($name = '', $data = []) {
    global $config; // Use the globally included $config

    $loader = new Twig\Loader\FilesystemLoader(BASEPATH . '/App/views/');
    $loader->addPath(BASEPATH . '/vendor/4lt/novaconium/twig', 'novaconium');
    $loader->addPath(BASEPATH . '/App/templates', 'override');

    $twig = new Twig\Environment($loader);

    // Add config to Twig globally
    $twig->addGlobal('config', $config);

    // Check if the template exists
    if (file_exists(BASEPATH . '/App/views/' . $name . '.html.twig')) {
        echo $twig->render("$name.html.twig", $data);
        return true;
    } else {
        echo "Error: Twig Template ($name) Not Found.";
        return false;
    }
}